﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingView
@{
    ViewBag.Title = "Owner's Room Booking Create";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    @*Egulo Niche chilo*@
    <script src="~/Content/vendors/js/jquery.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>

}
@section PAGETITLE{
    Owner's Room Booking Create
}
<div class="row justify-content-center ">
    <div class="card col-12">
        <div class="card-body">
            <h1 class="text-center mb-5" style="color: indianred">Room Booking for Vacation form</h1>
            <p class="text-muted"></p>
            @using (Html.BeginForm("OwnerRoomBookingAddorEdit", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {
                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Start Date</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.Startdate, new { @class = "form-control", placeholder = "", type = "date", @required = 'd' })
                    </div>
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">End Date</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.Enddate, new { @class = "form-control", placeholder = "", type = "date", @required = 'd' })
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Room Size</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextBoxFor(m => m.Roomtype, new { @class = "form-control", placeholder = "RoomSize", type = "text" })
                    </div>
                    @*@Html.LabelFor(m => m.OwnershipCriteria, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Preferred Room</label>
                    <div class="col-lg-3 col-md-4 col-sm-4">
                        @*@Html.TextBoxFor(m => m.PreferredRoomNo, new { @class = "form-control", placeholder = "ROOM-***", type = "text" })*@
                        @Html.DropDownListFor(m => m.PreferredRoomNo, new SelectList(Model.RoomList), "-----", new { @class = "form-control" })
                    </div>
                </div>
                <div class="form-group row mb-3">
                    @*@Html.LabelFor(m => m.RoomType, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })*@
                    <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Your Other Preferences</label>
                    <div class="col-sm-3 col-lg-3 col-md-3">
                        @Html.TextAreaFor(m => m.OtherPreferences, new { @class = "form-control", placeholder = "", type = "text" })
                    </div>
                </div>
                @Html.HiddenFor(m => m.IsBookingCompleted, new { @id = "IsBookingComplete" })
                @Html.HiddenFor(m => m.OwnerRoomBookingId, new { @id = "OwnerRoomBookingId" })
                @Html.HiddenFor(m => m.OBOwnerId, new { @id = "OBOwnerId" })

                <div class="row">
                    <div>
                        <button type="submit" class="btn btn-primary m-1">Update</button>
                    </div>
                    @*<div>
                            <button type="button" class="btn btn-danger m-1">Reset</button>
                        </div>*@
                </div>
            }
        </div>
    </div>
</div>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>

<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });
    $(document).ready(function () {
        $("#newItem").remove();

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });

        $("#dashboardItem").click(function () {
            //document.location = 'Url.Action("ExportExcel", "OwnersInfo")';
        });
        $("#reportItem").remove();
    });
</script>
